\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Envelopes

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Classes | Functions
CGAL Namespace Reference

## Classes
class | Envelope_diagram_1
| This class is the default envelope-diagram class used by envelope functions to represent the minimization or the maximization diagram of a set of curves. More...

## Functions
template<class InputIterator , class EnvelopeDiagram >
void | lower_envelope_2 (InputIterator begin, InputIterator end, EnvelopeDiagram &diag)
| Computes the lower envelope of a set of curves in \( \mathbb{R}^2\), as given by the range `[begin, end)`. More...
template<class InputIterator , class EnvelopeDiagram >
void | lower_envelope_x_monotone_2 (InputIterator begin, InputIterator end, EnvelopeDiagram &diag)
| Computes the lower envelope of a set of \( x\)-monotone curves in \( \mathbb{R}^2\), as given by the range `[begin, end)`. More...
template<class InputIterator , class EnvelopeDiagram >
void | upper_envelope_2 (InputIterator begin, InputIterator end, EnvelopeDiagram &diag)
| Computes the upper envelope of a set of curves in \( \mathbb{R}^2\), as given by the range `[begin, end)`. More...
template<class InputIterator , class EnvelopeDiagram >
void | upper_envelope_x_monotone_2 (InputIterator begin, InputIterator end, EnvelopeDiagram &diag)
| Computes the upper envelope of a set of \( x\)-monotone curves in \( \mathbb{R}^2\), as given by the range `[begin, end)`. More...